
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.test.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.test.TestMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class TestModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, TestMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {

			tabData.accept(TestModBlocks.QWE_ORE.get().asItem());
			tabData.accept(TestModBlocks.QWE_BLOCK.get().asItem());
			tabData.accept(TestModBlocks.P_ORE.get().asItem());
			tabData.accept(TestModBlocks.P_BLOCK.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {

			tabData.accept(TestModItems.SDF_SWORD.get());
			tabData.accept(TestModItems.GHJK_ARMOR_HELMET.get());
			tabData.accept(TestModItems.GHJK_ARMOR_CHESTPLATE.get());
			tabData.accept(TestModItems.GHJK_ARMOR_LEGGINGS.get());
			tabData.accept(TestModItems.GHJK_ARMOR_BOOTS.get());
			tabData.accept(TestModItems.QWER_ARMOR_HELMET.get());
			tabData.accept(TestModItems.QWER_ARMOR_CHESTPLATE.get());
			tabData.accept(TestModItems.QWER_ARMOR_LEGGINGS.get());
			tabData.accept(TestModItems.QWER_ARMOR_BOOTS.get());
			tabData.accept(TestModItems.QWEQQQ_ARMOR_HELMET.get());
			tabData.accept(TestModItems.QWEQQQ_ARMOR_CHESTPLATE.get());
			tabData.accept(TestModItems.QWEQQQ_ARMOR_LEGGINGS.get());
			tabData.accept(TestModItems.QWEQQQ_ARMOR_BOOTS.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {

			tabData.accept(TestModItems.QWE.get());
			tabData.accept(TestModItems.P_DUST.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {

			tabData.accept(TestModItems.SDF_PICKAXE.get());
			tabData.accept(TestModItems.SDF_AXE.get());
			tabData.accept(TestModItems.SDF_SHOVEL.get());
			tabData.accept(TestModItems.SDF_HOE.get());

		}
	}
}
